	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour7")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", 0.00)
	call psetr("subpage_upper_right_longitude", 359.00)
	call psetr("subpage_upper_right_latitude", 90.00)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", -90.00)

	call pseti("grib_field_position", 1)
	call psetc("grib_input_file_name", "2mt.grib")
	call pgrib

	call preset('grib_field_position')
	call preset('grib_input_file_name')

	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call preset('map_coastline_land_shade_colour')
	call preset('map_coastline_land_shade')

	call psetr("contour_label_height", 0.40)
	call psetc("contour_level_selection_type", "interval")
	call pseti("contour_label_frequency", 1)
	call psetc("contour_line_colour", "red")
	call pseti("contour_highlight_thickness", 2)
	call pseti("contour_highlight_frequency", 5)
	call psetc("contour_label", "on")
	call psetr("contour_min_level", -100.00)
	call psetr("contour_max_level", 100.00)
	call psetc("contour_highlight_colour", "red")
	call psetc("contour_hilo", "off")
	call psetc("legend", "on")
	call psetr("contour_interval", 2.00)
	call psetc("contour_line_style", "dash")
	call pcont

	call preset('contour_label_height')
	call preset('contour_level_selection_type')
	call preset('contour_label_frequency')
	call preset('contour_line_colour')
	call preset('contour_highlight_thickness')
	call preset('contour_highlight_frequency')
	call preset('contour_label')
	call preset('contour_min_level')
	call preset('contour_max_level')
	call preset('contour_highlight_colour')
	call preset('contour_hilo')
	call preset('legend')
	call preset('contour_interval')
	call preset('contour_line_style')

	call psetc("map_label", "on")
	call psetc("map_grid_line_style", "dash")
	call psetc("map_grid_colour", "grey")
	call psetc("map_coastline_colour", "black")
	call psetc("map_coastline_land_shade", "off")
	call pcoast

	call preset('map_label')
	call preset('map_grid_line_style')
	call preset('map_grid_colour')
	call preset('map_coastline_colour')
	call preset('map_coastline_land_shade')

	call pset1c("text_lines", (/"<font size="1">2mt - Contour (Interval 2, red, dash)</font>", "<magics_title/>                                            "/), 2)
	call psetr("text_font_size", 0.60)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call pclose

	end
